League of Legends WORKING on Linux

First Riot Post
Comment below rating threshold, click here to show it.

Boompje

Senior Wrenchmen

12-04-2012

Quote:
Originally Posted by Zeriphor View Post
Had it working just fine, but the new patch broke it. Getting bugsplats for lots of things in game now. The client still works fine though.
Hey Zeriphor!

Use this patch:
http://uz.sns.it/~ranma42/iLoL/0001-...block-si.patch


Comment below rating threshold, click here to show it.

Xatulu

Junior Member

12-04-2012

@Boompje: What works better, using all 6 Patches or only the new one? EUW still hasn't gotten the patch, but i want to compile wine beforehand.


Comment below rating threshold, click here to show it.

Boompje

Senior Wrenchmen

12-04-2012

Quote:
Originally Posted by Xatulu View Post
@Boompje: What works better, using all 6 Patches or only the new one? EUW still hasn't gotten the patch, but i want to compile wine beforehand.
I'd recommend using PlayOnLinux anyways. I'd completely recompile with all patches needed. My apologies for not being that much of a linux adept


Comment below rating threshold, click here to show it.

Xatulu

Junior Member

12-04-2012

Quote:
Originally Posted by Boompje View Post
I'd recommend using PlayOnLinux anyways. I'd completely recompile with all patches needed. My apologies for not being that much of a linux adept
Well, i'm using PlayOnLinux, but with the 1.5.5 - LoL - Version of PlayOnLinux, the store isn't working well for me and LoL keeps crashing. So i took the patches from WineHQ, compiled myself a new 1.5.18 - Version and hooked it up in PlayOnLinux.

Anyways, thanks for all your work, will test tomorrow when patch goes live at euw, currently compiling a new version using only the newest patch, already got one with all 6 patches.


Comment below rating threshold, click here to show it.

Boompje

Senior Wrenchmen

12-04-2012

Quote:
Originally Posted by Xatulu View Post
Well, i'm using PlayOnLinux, but with the 1.5.5 - LoL - Version of PlayOnLinux, the store isn't working well for me and LoL keeps crashing. So i took the patches from WineHQ, compiled myself a new 1.5.18 - Version and hooked it up in PlayOnLinux.

Anyways, thanks for all your work, will test tomorrow when patch goes live at euw, currently compiling a new version using only the newest patch, already got one with all 6 patches.
I have been communicated with the creators of LoL using PoL:
http://www.playonlinux.com/en/commentaires-1113.html


Comment below rating threshold, click here to show it.

Xatulu

Junior Member

12-04-2012

Quote:
Originally Posted by Boompje View Post
I have been communicated with the creators of LoL using PoL:
http://www.playonlinux.com/en/commentaires-1113.html
Thank you for that, will also try that version!


Comment below rating threshold, click here to show it.

Zeriphor

Senior Member

12-04-2012

Quote:
Originally Posted by Boompje View Post
Well, that took a long time to compile... Unfortunately, it didn't fix my problem. The game still crashed when I brought up the shop, except with this it doesn't give me a bugsplat.

Hopefully playonlinux will put out an update soon.


Comment below rating threshold, click here to show it.

RyuKim

Recruiter

12-04-2012

agg.... The only Bugsplat i have, is when i enter the shop x_X.
I dont know how to install that patch...


Comment below rating threshold, click here to show it.

Xatulu

Junior Member

12-04-2012

Quote:
Originally Posted by RyuKim View Post
agg.... The only Bugsplat i have, is when i enter the shop x_X.
I dont know how to install that patch...
Short explanation: Git-Clone the Wine-Source, cd into the source directory, run "patch -p1 < 0001-HACK-Disallow-block-based-textures-with-sub-block-si.patch", ./configure, make depend, make, make install and you got yourself a newly compiled and patched version of wine.


Comment below rating threshold, click here to show it.

RyuKim

Recruiter

12-04-2012

Oh sorry, i'm neewbie in that... i using Ubuntu12.04... I can understand large explanation.... no shot :S. I get Confused